# entities.py

import entity_data
from entity import Entity

pokitto = Entity("Pokitto", 104, 43, entity_data.green_pokitto, 7)
pokitto.act_x = -12
pokitto.act_y = 16

hat = Entity("Cappello", 80, 28, entity_data.hat, 7)
hat.draw_y = -4
hat.act_x = -12
hat.act_y = 20

pokitto_with_hat = Entity("Pokitto", 0, 0, entity_data.pokitto_with_hat, 7)

cabinet_door = Entity("Porta dell'armadietto", 72, 47, entity_data.cabinet_door, 255)
cabinet_door.act_x = -12
cabinet_door.act_y = 1

power_socket = Entity("Presa d'alimentazione", 44, 47, entity_data.power_socket, 255)
power_socket.act_x = 8
power_socket.act_y = 1

door_hallway_to_breakroom = Entity("Sala ristoro", 16, 55, entity_data.doorway_front, 11)
door_hallway_to_breakroom.act_x = 0
door_hallway_to_breakroom.act_y = 1

door_hallway_to_endroom = Entity("Turboascensore", 100, 63, entity_data.hallway_door_closed, 11)
door_hallway_to_endroom.act_x = -8
door_hallway_to_endroom.act_y = -3

door_breakroom_to_hallway = Entity("Corridoio", 12, 71, entity_data.doorway_side, 11)
door_breakroom_to_hallway.act_x = 8
door_breakroom_to_hallway.act_y = -3

