# object_data.py

import upygame


green_pokitto_pixels = b'\
\x7b\xbb\xbb\xb7\
\x7b\x00\x00\xb7\
\x7b\x00\x00\xb7\
\xbb\x00\x00\xbb\
\x7b\xbb\xbb\xb7\
\x7b\xab\xaa\xb7\
\x7b\xbb\xbb\xb7\
\x7b\x77\x77\xb7'
green_pokitto = upygame.surface.Surface(8, 8, green_pokitto_pixels)

hat_pixels = b'\
\x77\x77\x77\x77\
\x77\x77\x77\x77\
\x78\x88\x88\x87\
\x78\x88\x88\x87\
\x88\x88\x88\x88\
\x77\x77\x77\x77\
\x77\x77\x77\x77\
\x77\x77\x77\x77'
hat = upygame.surface.Surface(8, 8, hat_pixels)

pokitto_with_hat_pixels = b'\
\x78\x88\x88\x87\
\x88\x88\x88\x88\
\x7b\x00\x00\xb7\
\xbb\x00\x00\xbb\
\x7b\xbb\xbb\xb7\
\x7b\xab\xaa\xb7\
\x7b\xbb\xbb\xb7\
\x7b\x77\x77\xb7'
pokitto_with_hat = upygame.surface.Surface(8, 8, pokitto_with_hat_pixels)

cabinet_door_pixels = b'\
\xee\xee\xee\xee\xee\xee\xee\xee\
\xe2\x22\x22\x22\x22\x22\x22\x25\
\xe2\x22\x22\x22\x22\x22\x22\x25\
\xe2\x66\x22\x22\x22\x22\x22\x25\
\xe2\x26\x22\x22\x22\x22\x22\x25\
\xe2\x26\x22\x22\x22\x22\x22\x25\
\xe2\x26\x22\x22\x22\x22\x22\x25\
\xe2\x66\x22\x22\x22\x22\x22\x25\
\xe2\x22\x22\x22\x22\x22\x22\x25\
\xe2\x22\x22\x22\x22\x22\x22\x25\
\xe2\x22\x22\x22\x22\x22\x22\x25\
\xe2\x22\x22\x22\x22\x22\x22\x25\
\xe2\x22\x22\x22\x22\x22\x22\x25\
\xe2\x22\x22\x22\x22\x22\x22\x25\
\xe2\x22\x22\x22\x22\x22\x22\x25\
\x55\x55\x55\x55\x55\x55\x55\x55'
cabinet_door = upygame.surface.Surface(16, 16, cabinet_door_pixels)

power_socket_pixels = b'\
\xff\xff\xff\x62\
\xf6\x66\x66\x52\
\xf6\x77\x76\x52\
\xf7\x07\x07\x52\
\xf7\x07\x07\x52\
\xf6\x77\x76\x52\
\xf6\x66\x66\x52\
\x65\x55\x55\x52'
power_socket = upygame.surface.Surface(8, 8, power_socket_pixels)


doorway_front_pixels = b'\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\xbb\xbb\xbb\xbb'
doorway_front = upygame.surface.Surface(16, 32, doorway_front_pixels)

doorway_side_pixels = b'\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb'
doorway_side = upygame.surface.Surface(8, 40, doorway_side_pixels)

hallway_door_closed_pixels = b'\
\xb7\x77\x77\x77\
\xb7\x77\x77\x77\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\x7d\xd6\x67\
\xb7\x77\x7d\xd7\
\xb7\x77\x77\x77\
\xb7\x77\x77\x77\
\xb7\x77\x77\x77\
\xb7\xd7\x77\x77\
\xb7\xd6\x67\x77\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\x7d\x66\x67\
\xbb\x77\xd6\x67\
\xbb\xb7\x7d\x67\
\xbb\xbb\x77\xd7\
\xbb\xbb\xb7\x77\
\xbb\xbb\xbb\x77\
\xbb\xbb\xbb\xb7\
\xbb\xbb\xbb\xbb'
hallway_door_closed = upygame.surface.Surface(8, 40, hallway_door_closed_pixels)

hallway_door_stuck_pixels = b'\
\xb7\x77\x77\x77\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\x7d\xd6\x67\
\xb7\x77\x7d\xd7\
\xb7\x77\x77\x77\
\xb7\x77\x77\x77\
\xb7\x77\x77\x77\
\xb7\xd7\x77\x77\
\xb7\xd6\x67\x77\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\x7d\x66\x67\
\xbb\x77\xd6\x67\
\xbb\xb7\x7d\x67\
\xbb\xbb\x77\xd7\
\xbb\xbb\xb7\x77\
\xbb\xbb\xbb\x77\
\xbb\xbb\xbb\xb7\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb'
hallway_door_stuck = upygame.surface.Surface(8, 40, hallway_door_stuck_pixels)

hallway_door_open_pixels = b'\
\xb7\x77\x77\x77\
\xb7\xd6\x66\x67\
\xb7\xd6\x66\x67\
\xb7\x7d\xd6\x67\
\xb7\x77\x7d\xd7\
\xbb\xb7\x77\x77\
\xbb\xbb\xbb\x77\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb\
\xbb\xbb\xbb\xbb'
hallway_door_open = upygame.surface.Surface(8, 40, hallway_door_open_pixels)

