
import upygame
import scummpy
import entities
import actors
import rooms
import entity_functions


upygame.display.init(False)
upygame.display.set_palette_16bit([
  0x0000, 0x194a, 0x792a, 0x0429, 0xa286, 0x5aa9, 0xbe18, 0xff7c, 
  0xf809, 0xfd00, 0xff44, 0x0706, 0x255f, 0x7bb2, 0xfbb4, 0xfe54
]);
scummpy.screen = upygame.display.set_mode()

rooms.breakroom.entities.append(entities.door_breakroom_to_hallway)
rooms.breakroom.entities.append(entities.pokitto)
rooms.breakroom.entities.append(entities.cabinet_door)
rooms.breakroom.entities.append(entities.power_socket)

rooms.hallway.entities.append(entities.door_hallway_to_breakroom)
rooms.hallway.entities.append(entities.door_hallway_to_endroom)

rooms.hallway.actors.append(actors.robo)

scummpy.player = actors.ltpok
scummpy.change_room(rooms.hallway, scummpy.player.entity.x, scummpy.player.entity.y, scummpy.player.direction)


while True:
  
  scummpy.update()
  
  scummpy.render()

